Page MenuHomePhabricator

Horizontal gradient appearing on wrong side of text for RTL page previews
Closed, ResolvedPublic

Description

This is a regression of T158858.

It was fixed and appeared correctly. Then for several days I didn't see any gradient at all. And today I'm seeing it with the gradient going in the opposite direction again.

Event Timeline

Amire80 created this task.Mar 16 2017, 8:57 AM
Restricted Application added a project: I18n. · View Herald TranscriptMar 16 2017, 8:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
phuedx added a subscriber: phuedx.Mar 16 2017, 11:33 AM

/me facepalms

I can only apologise for not grokking the original problem completely.

It appears as if CSSJanus is changing the to left parameter to to right in the linear-gradient CSS function. We'll need to mark each invocation with /* @noflip */.

IMO high and unplanned sprint work.

ovasileva triaged this task as High priority.Mar 16 2017, 4:15 PM

again? yup - pulling it into the sprint

pmiazga claimed this task.Mar 16 2017, 10:23 PM
pmiazga moved this task from Needs Analysis to Doing on the Reading-Web-Sprint-94 board.

Change 343404 had a related patch set uploaded (by Pmiazga):
[mediawiki/extensions/Popups] Fix horizontal gradient for RTL page previews

https://gerrit.wikimedia.org/r/343404

Change 343404 merged by jenkins-bot:
[mediawiki/extensions/Popups] Fix horizontal gradient for RTL page previews

https://gerrit.wikimedia.org/r/343404

phuedx added a comment.EditedMar 19 2017, 4:49 PM

Here are the scenarios I ran against @pmiazga's change:

Scenario: LTR page and RTL target page
Expected: RTL preview with truncator on the left, fading from right to left
Observed: ^

Scenario: RTL page (?uselang=he) and RTL target page
Expected: RTL preview with truncator on the left, fading from right to left
Observed: ^

Scenario: LTR page and LTR target page
Expected: LTR preview with truncator on the right, fading from left to right.
Observed: ^

Scenario: RTL page (?uselang=he) and LTR target page
Expected: LTR preview with truncator on the right, fading from left to right.
Observed: ^


I've set up a test page on the staging server (see http://reading-web-staging.wmflabs.org/wiki/T160614). When you want to run the RTL page scenarios, i.e. the scenarios where you're previewing a page from an RTL page, then you can add ?uselang=he to the URL (i.e. http://reading-web-staging.wmflabs.org/wiki/T160614?uselang=he).

ovasileva reassigned this task from pmiazga to ABorbaWMF.Mar 20 2017, 5:05 PM
ovasileva added a subscriber: pmiazga.

@ABorbaWMF and I spoke about this during today's standup. Testing this on the Beta Cluster will require changes to its configuration and a few follow-up changes to testing pages. We agreed that the pages that were added to the staging server were adequate.

Hi, for me, if @ABorbaWMF could please list specific OS's and browsers I should test this with and some steps to follow that would be helpful. Having tested just Windows 10/Firefox 51.0.1 as a starting place though, I have noticed patterns, such as on the Dog page and the T160614 page, there is no RTL on the popups with images

only on the Empty cards
or No Image cards

This was tested and it is working on Staging right now. We can move to sign off and test it again when we roll to stage 0 wikis (which includes Hebrew).

@ABorbaWMF: The group2 wikis (which includes the stage 0 wikis) were updated to -wmf.17 yesterday between 7 and 8 PM UTC. You should be able to test this on hewiki now.

tested on hewiki. Gradient appears as expected. All done!

ovasileva closed this task as Resolved.Mar 24 2017, 4:05 PM

That looks good! I haven't been able to check on hewiki. Caching issues I think, but it looks good.